all: ../01_comp.svg ../02_abstract.svg ../02_graphical.svg ../03_stack.svg \
     ../03_coords.png ../06_example1.svg ../06_example2.svg ../06_topo1.svg \
     ../06_topo2.svg ../06_topo3.svg ../07_diag.svg ../08_ripple1.svg \
     ../08_ripple2.svg

../01_comp.svg ../01_comp.png: 01_comp.aag
	aagraph -Tsvg 01_comp.aag > ../01_comp.svg
	aagraph -Tpng 01_comp.aag > ../01_comp.png

../02_abstract.svg ../02_abstract.png: 02_abstract.dot
	dot -Tsvg 02_abstract.dot > ../02_abstract.svg
	dot -Tpng 02_abstract.dot > ../02_abstract.png

../02_graphical.svg ../02_graphical.png: 02_graphical.dot
	dot -Tsvg 02_graphical.dot > ../02_graphical.svg
	dot -Tpng 02_graphical.dot > ../02_graphical.png

../03_stack.svg ../03_stack.png: 03_stack.dot
	dot -Tsvg 03_stack.dot > ../03_stack.svg
	dot -Tpng 03_stack.dot > ../03_stack.png

../03_coords.png: 03_coords.lht
	pcb-rnd -x png --dpi 300 --outfile ../03_coords.png 03_coords.lht

../06_example1.svg ../06_example1.png: 06_example1.dot
	dot -Tsvg 06_example1.dot > ../06_example1.svg
	dot -Tpng 06_example1.dot > ../06_example1.png

../06_example2.svg ../06_example2.png: 06_example2.dot
	dot -Tsvg 06_example2.dot > ../06_example2.svg
	dot -Tpng 06_example2.dot > ../06_example2.png

../06_topo1.svg ../06_topo1.png: 06_topo1.dot
	dot -Tsvg 06_topo1.dot > ../06_topo1.svg
	dot -Tpng 06_topo1.dot > ../06_topo1.png

../06_topo2.svg ../06_topo2.png: 06_topo2.dot
	dot -Tsvg 06_topo2.dot > ../06_topo2.svg
	dot -Tpng 06_topo2.dot > ../06_topo2.png

../06_topo3.svg ../06_topo3.png: 06_topo3.dot
	dot -Tsvg 06_topo3.dot > ../06_topo3.svg
	dot -Tpng 06_topo3.dot > ../06_topo3.png

../07_diag.svg ../07_diag.png: 07_diag.dot
	dot -Tsvg 07_diag.dot > ../07_diag.svg
	dot -Tpng 07_diag.dot > ../07_diag.png

../08_ripple1.svg ../08_ripple1.png: 08_ripple1.dot
	dot -Tsvg 08_ripple1.dot > ../08_ripple1.svg
	dot -Tpng 08_ripple1.dot > ../08_ripple1.png

../08_ripple2.svg ../08_ripple2.png: 08_ripple2.dot
	dot -Tsvg 08_ripple2.dot > ../08_ripple2.svg
	dot -Tpng 08_ripple2.dot > ../08_ripple2.png

